package ru.other.company.loy.service.provider;

import ru.crystals.pos.api.ext.loyal.dto.LoyaltyResult;
import ru.crystals.pos.api.ext.loyal.dto.auxiliaries.PreFiscalizationFeedback;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Стратегия поведения плагина при префискализации чека.<br>
 * При событии префискализации, чек только готовится напечататься и его ещё можно ограниченно изменять.
 */
public interface PrefiscalizationStrategy {

    /**
     * Применяет к чеку техпроцесс префискализации
     * @param receipt чек
     * @param result результаты расчета лояльности по чеку
     * @return результат применения техпроцесса фискализации.
     */
    PreFiscalizationFeedback apply(Receipt receipt, LoyaltyResult result);
}
