package ru.crystals.pos.api.ext.loyal.dto.auxiliaries;

/**
 * Определяет действие, которое следует произвести с фидбеками в случае, если чек, в рамках которого они образовались,
 * был аннулирован.
 * @since 0.0.33
 */
public enum ActionOnReceiptCancellation {
    /**
     * Для аннулируемого чека следует также удалить и все фидбеки он образовал.
     */
    REMOVE,
    /**
     * Для аннулируемого чека следует оставить фидбеки, пока они не отправятся плагином успешно или не удалятся
     * из-за истекшего счетчика попыток повторной отправки.
     */
    PERSIST
}
