package ru.crystals.pos.api.plugin;

import ru.crystals.pos.api.plugin.techprocess.InterceptionContext;
import ru.crystals.pos.api.plugin.techprocess.InterceptionResult;
import ru.crystals.pos.api.plugin.techprocess.InterceptionStatus;
import ru.crystals.pos.api.plugin.techprocess.InterceptorCallback;

/**
 * Интерфейс плагина тех.процесса.
 * Позволяет дополнять поведение кассы.
 */
public interface TechProcessPlugin {
    /**
     * Позволяет прерывать тех. процесс и производить интерактивное взаимодействие с пользователем.
     * В данном методе допустимо вызывать {@link ru.crystals.pos.spi.ui.UIForms}.
     *
     * @param context контекст передачи управления плагину
     * @param callback структура, содержащая метод обратного вызова, через который кассе будет передан результат взаимодействия.
     */
    default void intercept(InterceptionContext context, InterceptorCallback callback) {
        callback.completed(InterceptionStatus.CONTINUE, new InterceptionResult());
    }

}
