package ru.crystals.pos.api.plugin.function;

import ru.crystals.pos.api.plugin.card.CardSearchResponse;

/**
 * Результат вызова функционального плагина поиска карты.
 */
public class SearchCardResult implements FunctionResult {

    /**
     * Отклик на запрос информации по карте/купону.
     */
    private CardSearchResponse cardSearchResponse;

    /**
     * Конструктор
     */
    public SearchCardResult() {

    }

    /**
     * Конструктор
     *
     * @param cardSearchResponse отклик на запрос информации по карте/купону.
     */
    public SearchCardResult(CardSearchResponse cardSearchResponse) {
        this.cardSearchResponse = cardSearchResponse;
    }

    /**
     * Возвращает отклик на запрос информации по карте/купону.
     *
     * @return отклик на запрос информации по карте/купону
     */
    public CardSearchResponse getCardSearchResponse() {
        return cardSearchResponse;
    }

    /**
     * Задает отклик на запрос информации по карте/купону.
     *
     * @param cardSearchResponse отклик на запрос информации по карте/купону
     */
    public void setCardSearchResponse(CardSearchResponse cardSearchResponse) {
        this.cardSearchResponse = cardSearchResponse;
    }

    @Override
    public FunctionResultType getType() {
        return FunctionResultType.SEARCH_CARD;
    }

    @Override
    public String toString() {
        return "SearchCardResult{" +
                "cardSearchResponse=" + cardSearchResponse +
                '}';
    }
}
