package ru.crystals.pos.api.plugin.payment;

/**
 * Данные результата выполнения возврата транзакции оплаты
 *
 * @since 1.5.0
 */
public class TransactionalRefundResult implements PaymentResult {

    /**
     * Данные о совершенном возврате, которые должны быть использованы кассой для печати и сохранения в БД
     */
    private final PaymentResultData resultData;

    public TransactionalRefundResult(PaymentResultData resultData) {
        this.resultData = resultData;
    }

    @Override
    public PaymentResultData getResultData() {
        return resultData;
    }

    @Override
    public String toString() {
        return "TransactionalRefundResult{" +
               "resultData=" + resultData +
               '}';
    }
}
