package ru.crystals.pos.api.plugin.techprocess;

import ru.crystals.pos.api.plugin.TechProcessPlugin;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Через эту структуру возаращается результат интерактивного взаимодействия с плагином тех. процесса.
 * @see TechProcessPlugin#intercept(InterceptionContext, InterceptorCallback)
 */
public interface InterceptorCallback {

    /**
     * Событие завершения интерактивного взаимодействия с плагином тех. процесса.
     * @see TechProcessPlugin#intercept(InterceptionContext, InterceptorCallback)
     * @param status статус интерактивного взаимодействия с плагином тех. процесса.
     * @param result результат интерактивного взаимодействия с плагином тех. процесса.
     */
    void completed(InterceptionStatus status, InterceptionResult result);

}
