package ru.crystals.pos.api.receipt;

/**
 * Способ добавления некой сущности (товар, карта) в чек.
 */
//копия используемого на кассе варианта (при расширении значениями учитывать кассовый вариант, касается и порядка следования значений)
public enum InsertType {

    /**
     * Сущность была проидентифицирована и добавлена в чек после сканирования ее ШК
     */
    SCANNER,

    /**
     * Строка поиска для идентификации сущности была введена вручную
     */
    HAND,

    /**
     * [только товары] Товар найден из меню
     */
    MENU,

    /**
     * [только товары] Товар найден из справочника
     */
    DIRECTORY,

    /**
     * [только товары] Товар найден ручным вводом штрихкода
     */
    BARCODE_BY_HAND,

    /**
     * [только товары] Товар найден из справочника поиском по цене
     */
    DIRECTORY_BY_PRICE,

    /**
     * [только товары] Товар найден нажатием клавиатурной кнопки
     */
    KEY,

    /**
     * Сущность была проидентифицирована по содержимому её магнитной дорожки
     */
    MSR,

    /**
     * Сущность была добавлена с мобильного сканера SelfScan
     */
    ADD_BY_FLMS,

    /**
     * Сущность было добавлена с помощью RFID считывателя
     */
    ADD_BY_RFID,

    /**
     * Сущность была добавлена из мягкого чека / заказа ('O' - order, заказ)
     */
    SOFT_CHEQUE,

    /**
     * Сущность была добавлена с помощью SmartScales
     */
    SMART_SCALES;
}
