package ru.crystals.pos.api.ui.listener;

import ru.crystals.pos.spi.ui.TableSelectionFormRow;

import java.util.List;
import java.util.Optional;

/**
 * Интерфейс слушателя событий формы с таблицей, поддерживающей выбор строк.
 */
public interface TableSelectionFormListener {

    /**
     * Произведено действие.
     *
     * @param actionId     идентификатор действия
     * @param affectedRow  строка, над которой произвели действие (выбрали или нажали)
     * @param selectedRows список выбранных строк
     */
    void eventAction(String actionId, Optional<TableSelectionFormRow> affectedRow, List<TableSelectionFormRow> selectedRows);

}
