package ru.crystals.pos.spi.plugin;

import ru.crystals.pos.spi.receipt.PaymentType;

import java.util.Objects;
import java.util.Set;

/**
 * Структура, которая возвращает списки оплат по определенным ограничениям или разрешениям
 */
public class PaymentListRules {

    /**
     * Список id типов оплат, которые запрещены для использования в чеке
     */
    private Set<PaymentType> forbiddenPaymentTypes;

    public void setForbiddenPaymentTypes(Set<PaymentType> forbiddenPaymentTypes) {
        this.forbiddenPaymentTypes = forbiddenPaymentTypes;
    }

    public Set<PaymentType> getForbiddenPaymentTypes() {
        return forbiddenPaymentTypes;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        PaymentListRules that = (PaymentListRules) o;
        return Objects.equals(forbiddenPaymentTypes, that.forbiddenPaymentTypes);
    }

    @Override
    public int hashCode() {
        return Objects.hash(forbiddenPaymentTypes);
    }
}
