package ru.crystals.pos.spi.plugin.card;

import ru.crystals.pos.spi.receipt.Card;

import java.util.Optional;

/**
 * Запрос при окончании поиска карты/купона.
 * @since 1.0.0
 */
public interface CardSearchFinishedRequest {

    /**
     * Возвращает параметры запроса на поиск карты/купона.
     * @return параметры запроса поиска карты
     */
    CardSearchRequest getRequest();

    /**
     * Возвращает найденную карту/купон<br>
     * NOTE: Значение может отсутствовать если карта/купон не найдена или произошла ошибка добавления в чек.
     * @return Найденная карта/купон
     */
    Optional<Card> getFoundCard();

    /**
     * Интерфейс для оповещения кассы о завершении обработки запроса.
     * @return {@link CardSearchFinishedCallback}
     */
    CardSearchFinishedCallback getCallback();
}
