package ru.crystals.pos.spi.plugin.function;

import ru.crystals.pos.spi.receipt.Merchandise;
import ru.crystals.pos.spi.receipt.Receipt;

import java.util.Map;
import java.util.Optional;

/**
 * Интерфейс запроса для вызова функционального плагина
 */
public interface FunctionRequest {

    /**
     * Получить текущий чек, если есть.
     *
     * @return чек - {@link Receipt}
     */
    Optional<Receipt> getReceipt();

    /**
     * Интерфейс для оповещения о завершение вызова функционального плагина
     *
     * @return {@link FunctionCallback}
     */
    FunctionCallback getCallback();

    /**
     * @return массив дополнительных параметров плитки
     */
    Map<String, String> getExtData();

    /**
     * Получить переданный плагину товар, если есть.
     *
     * @return чек - {@link Merchandise}
     */
    Optional<Merchandise> getMerchandise();
}
