package ru.crystals.pos.spi.plugin.goods;


import ru.crystals.pos.api.ext.loyal.dto.RemoveFromSaleResult;

/**
 * Интерфейс для оповещения кассы о возможности удаления позиции из чека продажи
 */
public interface RemoveFromSaleCallback {

    /**
     * Результат: позиция может быть удалена из чека
     *
     * @param removeAllowed флаг, определяющий, разрешил ли плагин удаление позиции из чека. true если разрешил и false в противном случае.
     */
    default void completed(boolean removeAllowed) {
         completed(new RemoveFromSaleResult(removeAllowed));
    }

    /**
     * Результат: позиция может быть удалена из чека
     *
     * @param result результат обработки плагином события удаления товара из чека.
     *
     * @since 0.0.71
     */
    void completed(RemoveFromSaleResult result);
}
