package ru.crystals.pos.spi.plugin.payment;

import ru.crystals.pos.api.plugin.payment.PaymentResult;

/**
 * Общий интерфейс объекта управления из плагина ходом выполнения и завершения платежной операции
 *
 * @since 1.5.0
 */
public interface PaymentOperationCallback {

    /**
     * Вызывается для оповещения кассы о неуспешном завершении платежной операции
     * <p>
     * После вызова процесс взаимодействия с плагином оплаты считается завершенным.
     *
     * @param result опциональный результат неуспешного выполнения (может быть использован кассой для печати и сохранения данных в БД)
     */
    void operationNotCompleted(PaymentResult result);

    /**
     * Вызывается для оповещения кассы о неуспешном завершении платежной операции
     * <p>
     * После вызова процесс взаимодействия с плагином оплаты считается завершенным.
     */
    default void operationNotCompleted() {
        operationNotCompleted(null);
    }

}
