package ru.crystals.pos.spi.plugin.payment;

import ru.crystals.pos.spi.receipt.ProcessedPayment;

import java.math.BigDecimal;

/**
 * Данные о транзакции для проведения возврата
 *
 * @since 1.5.0
 */
public interface PaymentToRefund {

    /**
     * Оригинальная оплата из чека продажи, которая возвращается в рамках этого запроса на возврат
     *
     * @return оригинальная оплата, которую возвращаем
     */
    ProcessedPayment getOriginalPayment();

    /**
     * Часть суммы оригинальной оплаты, которую планируется вернуть
     *
     * @return сумма, доступная к возврату
     */
    BigDecimal getSumToRefund();
}
