package ru.crystals.pos.spi.plugin.payment;

import ru.crystals.pos.api.plugin.payment.TransactionalRefundResult;

/**
 * Интерфейс объекта управления ходом выполнения и завершения процесса возврата из плагина
 *
 * @since 1.5.0
 */
public interface TransactionalRefundCallback extends PaymentOperationCallback {

    /**
     * Вызывается при успешном выполнении возврата
     * <p>
     * Передача фактической суммы возврата не предполагается. Касса ожидает, что были возвращены все транзакции
     * {@link TransactionalRefundRequest#getPaymentsToRefund()} на соответствующие суммы ({@link PaymentToRefund#getSumToRefund()})
     * и общая сумма возврата в точности совпадает с {@link TransactionalRefundRequest#getSumToRefund()}.
     *
     * @param result данные результата выполнения возврата транзакции оплаты
     */
    void refundCompleted(TransactionalRefundResult result);

}
