package ru.crystals.pos.spi.receipt;

/**
 * Параметры для открытия формы информационной панели
 *
 * @see Merchandise
 */
public class InfoPanelFormParameters {

    /**
     * Заголовок формы
     */
    private final String title;
    /**
     * Текст на кнопке
     */
    private final String buttonText;
    /**
     * Первый столбец информационной панели
     */
    private final InfoPanelFormColumn firstColumn;
    /**
     * Второй столбец информационной панели
     */
    private final InfoPanelFormColumn secondColumn;
    /**
     * Наименование дополнительной информации
     */
    private final String secondaryLabel;
    /**
     * Содержание дополнительной информации
     */
    private final String secondaryText;

    public InfoPanelFormParameters(String title, String buttonText, InfoPanelFormColumn firstColumn, InfoPanelFormColumn secondColumn, String secondaryLabel,
                                   String secondaryText) {
        this.title = title;
        this.buttonText = buttonText;
        this.firstColumn = firstColumn;
        this.secondColumn = secondColumn;
        this.secondaryLabel = secondaryLabel;
        this.secondaryText = secondaryText;
    }

    public String getTitle() {
        return title;
    }

    public String getButtonText() {
        return buttonText;
    }

    public InfoPanelFormColumn getFirstColumn() {
        return firstColumn;
    }

    public InfoPanelFormColumn getSecondColumn() {
        return secondColumn;
    }

    public String getSecondaryLabel() {
        return secondaryLabel;
    }

    public String getSecondaryText() {
        return secondaryText;
    }
}
