package ru.crystals.pos.spi.ui.notification;

import java.time.Duration;

/**
 * Параметры для уведомлений
 */
public class NotificationParameter {

    /**
     * Продолжительность показа по умолчанию
     */
    public static final Duration DEFAULT_DURATION = Duration.ofSeconds(60);

    /**
     * Текст уведомления
     */
    private String text;

    /**
     * Продолжительность показа в секундах
     */
    private Duration duration;

    public NotificationParameter(String text) {
        this(text, DEFAULT_DURATION);
    }

    public NotificationParameter(String text, Duration duration) {
        this.text = text;
        this.duration = duration;
    }

    public String getText() {
        return text;
    }

    public Duration getDuration() {
        return duration;
    }

    @Override
    public String toString() {
        return "NotificationParameter{" +
                "text='" + text + '\'' +
                ", duration=" + duration +
                '}';
    }
}
