package ru.crystals.pos.spi.ui.payment;

import ru.crystals.pos.api.ui.listener.SumToPayFormListener;
import ru.crystals.pos.spi.IncorrectStateException;
import ru.crystals.pos.spi.Injectable;

/**
 * Интерфейс для взаимодействия с пользовательским интерфейсом кассы. Формы для плагинов оплат.
 */
public interface UIPaymentForms extends Injectable {

    /**
     * Форма ввода суммы к оплате.
     * 
     * @param formParameters
     *            параметры формы
     * @param sumToPayFormListener
     *            реализация получателя событий формы
     * @throws IncorrectStateException
     *             если невозможно отобразить форму в данный момент
     */
    void showSumToPayForm(SumToPayFormParameters formParameters, SumToPayFormListener sumToPayFormListener) throws IncorrectStateException;

}
